var Animator = function() {
    function animate(params, newCallback) {
        var params = params || {};
        view = params.view;
        interval = params.interval || 25;
        duration = params.duration || 0;
        property = _.difference(_.keys(params), [ "view", "interval", "duration" ])[0];
        totalIntervals = duration / interval;
        var propToHave = params[property];
        var propHaving = view[property];
        propInterval = (propToHave - propHaving) / totalIntervals;
        currentInterval = 0;
        animationInterval = setInterval(animation, interval);
        callback = newCallback;
    }
    function animation() {
        if (currentInterval >= totalIntervals) {
            clearInterval(animationInterval);
            callback && callback();
            callback = null;
        } else {
            view[property] += propInterval;
            currentInterval++;
            Ti.API.info("property: " + view[property]);
        }
    }
    var view;
    var interval;
    var duration;
    var currentInterval;
    var totalIntervals;
    var property;
    var propInterval;
    var animationInterval;
    var callback;
    return {
        animate: animate
    };
}();

module.exports = Animator;